Unless stated otherwise, this page refers to Ukrainian companies and individual entrepreneurs and uses identifiers from Ukrainian public registries.
This request returns the list of enterprise branches based on state-register data.
GET /api/v1/enterprises/{registry_id}/branches
The response returns a short enterprise block, the branch list, and pagination.
The registry_id parameter in the request path is required. It is the enterprise identifier.
Example request
$ ESG_API_TOKEN="your_api_token"
$ curl "https://esg.saveecobot.com/api/v1/enterprises/00178353/branches" \
-H "Authorization: Bearer $ESG_API_TOKEN" \
-H 'Accept: application/json'
Example response
{
"results": {
"enterprise": {
"type": "company",
"registry_id": "00178353"
},
"items": [
{
"type": "company",
"registry_id": "12345678",
"name": "ФІЛІЯ ПРИКЛАД ПІДПРИЄМСТВА",
"name_short": null,
"status": "Зареєстровано",
"opf": "Філія (інший відокремлений підрозділ)",
"activity": "05.10 Добування кам'яного вугілля",
"registration_date": "2019-04-05",
"address": "Україна, Львівська область, місто Львів",
"edr_updated_at": "2026-05-10"
}
],
"pagination": {
"current_page": 1,
"per_page": 20,
"total": 1,
"last_page": 1
}
},
"stats": { "..." }
}
Pagination parameters
page: page number.
Response fields
results.items[]
type: record type. For branches, the value iscompany.registry_id: branch EDRPOU.name: full branch name as ofedr_updated_at.name_short: short branch name, if available, as ofedr_updated_at.status: current branch status as ofedr_updated_at.opf: branch legal form as ofedr_updated_at.activity: primary branch activity as ofedr_updated_at.registration_date: branch registration date as ofedr_updated_at.address: branch legal address as ofedr_updated_at.edr_updated_at: date of the latest state-register data update for this branch.